import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading ToshibaZModeSensorTypeToGeneric Converter")

class ToshibaZModeSensorTypeToGeneric(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "Continuous media":
			res = "None"
		elif myList[0] == "Non-continuous media web sensing":
			res = "Gap"
		elif myList[0] == "Non-continuous media mark sensing":
			res = "Mark"
		return res




plugin = ToshibaZModeSensorTypeToGeneric("ToshibaZModeSensorTypeToGeneric")

store.AddConverter(plugin)